Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 17 Dec 2022 04:55:05 +0000

Hi Zeina Abdeen,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello!

I writing this email to give you a notice of very bad experience i have with splash. I request for return one of the item from order number #9400769864 On 23rd of November with in few days i recived a call saying someone will come and pick up the material. But till now nobody came to pick it up and today morning i received a message mentioning that my return request has been cancelled as requested by me, whereas i have not requested any cancellation .

After waiting for morethan 15 days i gave a call to splash customer to register a complain on dated 10th dec 2022 and having conversation customer service person told that the complain has been registered and someone to call to pick to up , till now no one has called me and up on you guys have cancelled my return request. 

THAT'S A VERY BAD THING TO DO, I AM GONNA BE GIVING VERY BAD RATING FOR YOUR SERVICE AND HAVE TO CONSIDER ALL THE THINGS FOR SHOPPING FROM SPLASH https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5471574